package oop.Generics;

import java.util.ArrayList;

public class Generics {
	public static void main(String[] args) {
		ArrayList<B> blist = new ArrayList<>();
		blist.add(new B());
		
		ArrayList<? super B> alist = blist;
		alist.add(new C());
	}

}

class A{
	
}

class B extends A{
	
}

class C extends B{
	
}